package test;

import org.eclipse.xtext.xbase.lib.InputOutput;
import org.eclipse.xtext.xbase.lib.Procedures.Procedure1;
import org.eclipse.xtext.xbase.lib.util.ToStringHelper;

public class User {
  public User() {
  }
  
  public User(final Procedure1<User> initializer) {
    initializer.apply(this);
  }
  
  private String name;
  
  public String getName() {
    return this.name;
  }
  
  public void setName(final String name) {
    this.name = name;
  }
  
  private String email;
  
  public String getEmail() {
    return this.email;
  }
  
  public void setEmail(final String email) {
    this.email = email;
  }
  
  private String site;
  
  public String getSite() {
    return this.site;
  }
  
  public void setSite(final String site) {
    this.site = site;
  }
  
  private int logins;
  
  public int getLogins() {
    return this.logins;
  }
  
  public void setLogins(final int logins) {
    this.logins = logins;
  }
  
  public String allXmlGenerator() {
    StringBuilder sb = new StringBuilder ();
    sb.append("");
    System.out.print("");
    sb.append("<User>");
    sb.append("\n");
    System.out.println("<User>");
    sb.append("  ");
    System.out.print("  ");
    sb.append("<Name>");
    sb.append("\n");
    System.out.println("<Name>");
    sb.append("    ");
    System.out.print("    ");
    sb.append(this.name);
    sb.append("\n");
    System.out.println(this.name);
    sb.append("  ");
    System.out.print("  ");
    sb.append("</Name>");
    sb.append("\n");
    System.out.println("</Name>");
    sb.append("  ");
    System.out.print("  ");
    sb.append("<EMail>");
    sb.append("\n");
    System.out.println("<EMail>");
    sb.append("    ");
    System.out.print("    ");
    sb.append(this.email);
    sb.append("\n");
    System.out.println(this.email);
    sb.append("  ");
    System.out.print("  ");
    sb.append("</EMail>");
    sb.append("\n");
    System.out.println("</EMail>");
    sb.append("  ");
    System.out.print("  ");
    sb.append("<WebSite>");
    sb.append("\n");
    System.out.println("<WebSite>");
    sb.append("    ");
    System.out.print("    ");
    sb.append(this.site);
    sb.append("\n");
    System.out.println(this.site);
    sb.append("  ");
    System.out.print("  ");
    sb.append("</WebSite>");
    sb.append("\n");
    System.out.println("</WebSite>");
    sb.append("  ");
    System.out.print("  ");
    sb.append("<LoginCount>");
    sb.append("\n");
    System.out.println("<LoginCount>");
    sb.append("    ");
    System.out.print("    ");
    sb.append(this.logins);
    sb.append("\n");
    System.out.println(this.logins);
    sb.append("  ");
    System.out.print("  ");
    sb.append("</LoginCount>");
    sb.append("\n");
    System.out.println("</LoginCount>");
    sb.append("");
    System.out.print("");
    sb.append("</User>");
    sb.append("\n");
    System.out.println("</User>");
    return sb.toString();
    
  }
  
  public String printDescription() {
    String _xblockexpression = null;
    {
      final String n = this.name;
      InputOutput.<String>println(n);
      InputOutput.<String>println(this.email);
      String _println = InputOutput.<String>println(this.site);
      _xblockexpression = (_println);
    }
    return _xblockexpression;
  }
  
  @Override
  public String toString() {
    String result = new ToStringHelper().toString(this);
    return result;
  }
}
